[SOLVED] Update nethserver 6.9 issue

v6
updates

(Francesco) #1

NethServer Version: 6.9
Module: update manager

Good morning guys, this morning I’m trying to update nethserver 6.9, but I have this error
How can I fix it?
I tried to give yum clean all by putty, but I did not solve it.
Can you help me?
Thanks in advance
good job

PS I also gave yum install @ nethserver-iso command and all dependencies are up to date


(Filippo Carletti) #2

Your /boot partition is too small or you have filled it with something unexpected.
CentOS installer (anaconda) creates /boot big enough, did you change it during install?
For reference, my system:

[root@server ~]# df -h /boot
Filesystem      Size  Used Avail Use% Mounted on
/dev/md1        496M  134M  337M  29% /boot

Could you show yours? And /boot content, so that we may find something to delete.


(Francesco) #4

Thanks a lot for the answer.
I’ve installed nethserver without changing anything, leaving all the default parameters.
By executing the command
df -h / boot
I have this result

[root@server ~]# df -h /boot Filesystem Size Used Avail Use% Mounted on /dev/md1 1504M 467M 12M 98% /boot

Nethserver is installed on a vmware virtual machine.
How do I expand the boot partition?

[root@NethServer ~]# df -h Filesystem Size Used Avail Use% Mounted on /dev/mapper/VolGroup-lv_root 486G 89G 373G 20% / tmpfs 2.9G 0 2.9G 0% /dev/shm /dev/sda1 504M 467M 12M 98% /boot

In the /boot folder I have a lot of files :frowning:

efi grub lost+found .vmlinuz-2.6.32-573.18.1.el6.x86_64.hmac .vmlinuz-2.6.32-573.22.1.el6.x86_64.hmac .vmlinuz-2.6.32-573.26.1.el6.x86_64.hmac .vmlinuz-2.6.32-573.el6.x86_64.hmac .vmlinuz-2.6.32-642.1.1.el6.x86_64.hmac .vmlinuz-2.6.32-642.3.1.el6.x86_64.hmac .vmlinuz-2.6.32-642.4.2.el6.x86_64.hmac .vmlinuz-2.6.32-642.6.1.el6.x86_64.hmac .vmlinuz-2.6.32-642.6.2.el6.x86_64.hmac .vmlinuz-2.6.32-642.11.1.el6.x86_64.hmac .vmlinuz-2.6.32-642.13.1.el6.x86_64.hmac .vmlinuz-2.6.32-642.13.2.el6.x86_64.hmac .vmlinuz-2.6.32-642.15.1.el6.x86_64.hmac .vmlinuz-2.6.32-642.el6.x86_64.hmac .vmlinuz-2.6.32-696.1.1.el6.x86_64.hmac .vmlinuz-2.6.32-696.3.1.el6.x86_64.hmac .vmlinuz-2.6.32-696.3.2.el6.x86_64.hmac .vmlinuz-2.6.32-696.el6.x86_64.hmac config-2.6.32-573.18.1.el6.x86_64 config-2.6.32-573.22.1.el6.x86_64 config-2.6.32-573.26.1.el6.x86_64 config-2.6.32-573.el6.x86_64 config-2.6.32-642.1.1.el6.x86_64 config-2.6.32-642.3.1.el6.x86_64 config-2.6.32-642.4.2.el6.x86_64 config-2.6.32-642.6.1.el6.x86_64 config-2.6.32-642.6.2.el6.x86_64 config-2.6.32-642.11.1.el6.x86_64 config-2.6.32-642.13.1.el6.x86_64 config-2.6.32-642.13.2.el6.x86_64 config-2.6.32-642.15.1.el6.x86_64 config-2.6.32-642.el6.x86_64 config-2.6.32-696.1.1.el6.x86_64 config-2.6.32-696.3.1.el6.x86_64 config-2.6.32-696.3.2.el6.x86_64 config-2.6.32-696.el6.x86_64 initramfs-2.6.32-573.18.1.el6.x86_64.img initramfs-2.6.32-573.22.1.el6.x86_64.img initramfs-2.6.32-573.26.1.el6.x86_64.img initramfs-2.6.32-573.el6.x86_64.img initramfs-2.6.32-642.1.1.el6.x86_64.img initramfs-2.6.32-642.3.1.el6.x86_64.img initramfs-2.6.32-642.4.2.el6.x86_64.img initramfs-2.6.32-642.6.1.el6.x86_64.img initramfs-2.6.32-642.6.2.el6.x86_64.img initramfs-2.6.32-642.11.1.el6.x86_64.img initramfs-2.6.32-642.13.1.el6.x86_64.img initramfs-2.6.32-642.13.2.el6.x86_64.img initramfs-2.6.32-642.15.1.el6.x86_64.img initramfs-2.6.32-642.el6.x86_64.img initramfs-2.6.32-696.1.1.el6.x86_64.img initramfs-2.6.32-696.3.1.el6.x86_64.img initramfs-2.6.32-696.3.2.el6.x86_64.img initramfs-2.6.32-696.el6.x86_64.img symvers-2.6.32-573.18.1.el6.x86_64.gz symvers-2.6.32-573.22.1.el6.x86_64.gz symvers-2.6.32-573.26.1.el6.x86_64.gz symvers-2.6.32-573.el6.x86_64.gz symvers-2.6.32-642.1.1.el6.x86_64.gz symvers-2.6.32-642.3.1.el6.x86_64.gz symvers-2.6.32-642.4.2.el6.x86_64.gz symvers-2.6.32-642.6.1.el6.x86_64.gz symvers-2.6.32-642.6.2.el6.x86_64.gz symvers-2.6.32-642.11.1.el6.x86_64.gz symvers-2.6.32-642.13.1.el6.x86_64.gz symvers-2.6.32-642.13.2.el6.x86_64.gz symvers-2.6.32-642.15.1.el6.x86_64.gz symvers-2.6.32-642.el6.x86_64.gz symvers-2.6.32-696.1.1.el6.x86_64.gz symvers-2.6.32-696.3.1.el6.x86_64.gz symvers-2.6.32-696.3.2.el6.x86_64.gz symvers-2.6.32-696.el6.x86_64.gz System.map-2.6.32-573.18.1.el6.x86_64 System.map-2.6.32-573.22.1.el6.x86_64 System.map-2.6.32-573.26.1.el6.x86_64 System.map-2.6.32-573.el6.x86_64 System.map-2.6.32-642.1.1.el6.x86_64 System.map-2.6.32-642.3.1.el6.x86_64 System.map-2.6.32-642.4.2.el6.x86_64 System.map-2.6.32-642.6.1.el6.x86_64 System.map-2.6.32-642.6.2.el6.x86_64 System.map-2.6.32-642.11.1.el6.x86_64 System.map-2.6.32-642.13.1.el6.x86_64 System.map-2.6.32-642.13.2.el6.x86_64 System.map-2.6.32-642.15.1.el6.x86_64 System.map-2.6.32-642.el6.x86_64 System.map-2.6.32-696.1.1.el6.x86_64 System.map-2.6.32-696.3.1.el6.x86_64 System.map-2.6.32-696.3.2.el6.x86_64 System.map-2.6.32-696.el6.x86_64 vmlinuz-2.6.32-573.18.1.el6.x86_64 vmlinuz-2.6.32-573.22.1.el6.x86_64 vmlinuz-2.6.32-573.26.1.el6.x86_64 vmlinuz-2.6.32-573.el6.x86_64 vmlinuz-2.6.32-642.1.1.el6.x86_64 vmlinuz-2.6.32-642.3.1.el6.x86_64 vmlinuz-2.6.32-642.4.2.el6.x86_64 vmlinuz-2.6.32-642.6.1.el6.x86_64 vmlinuz-2.6.32-642.6.2.el6.x86_64 vmlinuz-2.6.32-642.11.1.el6.x86_64 vmlinuz-2.6.32-642.13.1.el6.x86_64 vmlinuz-2.6.32-642.13.2.el6.x86_64 vmlinuz-2.6.32-642.15.1.el6.x86_64 vmlinuz-2.6.32-642.el6.x86_64 vmlinuz-2.6.32-696.1.1.el6.x86_64 vmlinuz-2.6.32-696.3.1.el6.x86_64 vmlinuz-2.6.32-696.3.2.el6.x86_64 vmlinuz-2.6.32-696.el6.x86_64

Can I delete files with older date?


(Francesco) #5

Ok resolved.
I followed this post


I gave these commands:

  • Edit /etc/yum.conf and set the following parameter
    installonly_limit=2
  • Install yum-utils:
    yum install yum-utils
  • Make an oldkernel cleanup:
    package-cleanup --oldkernels --count=2

And now everything works fine
Thanks mile for the advice.


Error Update Nethserver
(Filippo Carletti) #6

This seems strange to me: 1504 total size - 467 used should give 1037 free not 12.
However, you have a lot of old kernels installed, a problem that we never reproduced.
The system keeps 5 kernels, see:

[root@server ~]# grep install /etc/yum.conf
installonly_limit=5

You can manually remove some of the oldest:

yum remove 2.6.32-573.18.1.el6.x86_64
...